Subject: bug#36765: 27.0.50; gnus-group-split-setup should delay until Gnus has finished starting up

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 23 Jul 2019 19:21:02 +0200

Eric Abrahamsen <[email-masked]> writes:

> I think a simple solution would be to change the above to:
>
> (add-hook (if auto-update
> 	      'nnmail-pre-get-new-mail-hook
> 	    'gnus-started-hook)
> 	  'gnus-group-split-update)
>
> Ie, if auto-update isn't passed, only run the update once, at start time.

I think that makes sense -- if it doesn't have to be called from
nnmail-pre-get-new-mail-hook; I'm not too familiar with that code.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no